# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Apr  5 11:04:24 2024
# ------------------------------------------------

package:
  name: cfn-lint
  version: 0.86.1
source:
  sha256: ed41e596d807fea2de74dbbfc0cb8b48f8787572c50e3b58cce05382a5af3a64
  url: https://pypi.io/packages/source/c/cfn-lint/cfn-lint-0.86.1.tar.gz
build:
  entry_points:
    - cfn-lint = cfnlint.__main__:main
  number: '1'
  script: /croot/cfn-lint_1712315074751/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py310hd43f75c_1
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - bzip2 1.0.8 h998d150_5
    - ca-certificates 2024.3.11 hd43f75c_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - ncurses 6.4 h419075a_0
    - openssl 3.0.13 h2f4d8fa_0
    - pip 23.3.1 py310hd43f75c_0
    - python 3.10.14 h4bb2201_0
    - readline 8.2 h998d150_0
    - setuptools 68.2.2 py310hd43f75c_0
    - sqlite 3.41.2 h998d150_0
    - tk 8.6.12 h241ca14_0
    - tzdata 2024a h04d1e81_0
    - wheel 0.41.2 py310hd43f75c_0
    - xz 5.4.6 h998d150_0
    - zlib 1.2.13 h998d150_0
  run:
    - aws-sam-translator >=1.86.0
    - jschema-to-python ~=1.2.3
    - jsonpatch
    - jsonschema >=3.0,<5
    - junit-xml ~=1.9
    - networkx >=2.4,<4
    - python >=3.10,<3.11.0a0
    - pyyaml >5.4
    - regex >=2021.7.1
    - sarif_om ~=1.0.4
    - sympy >=1.0.0
test:
  commands:
    - cfn-lint -h
    - pip check
  imports:
    - cfnlint
  requires:
    - pip
about:
  description: 'Validate CloudFormation yaml/json templates against the

    CloudFormation spec and additional checks. Includes checking

    valid values for resource properties and best practices.

    '
  dev_url: https://github.com/aws-cloudformation/cfn-python-lint
  doc_url: https://github.com/aws-cloudformation/cfn-python-lint/tree/master/docs
  home: https://github.com/aws-cloudformation/cfn-python-lint
  license: MIT-0
  license_family: MIT
  license_file: LICENSE
  summary: CloudFormation Linter
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 983e5413-4834-4642-9399-49149a6163c8
  recipe-maintainers:
    - hajapy
  remote_url: git@github.com:AnacondaRecipes/cfn-lint-feedstock.git
  sha: b176d44528b4c9e9a9b487bf9e32c82a48c27fae
